
ctools - Bug #2236

Segmentation fault error occur during Python coverage measurement

10/21/2017 12:16 AM - Knödlseder Jürgen

Status: Closed Start date: 10/21/2017

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.6.0   

Description

When running the ctools code analysis the following segmentation fault messages occur. It is not clear whether this poses a problem.

*************************

* cscripts unit testing *

*************************

Test cscript base class: .................................................................. ok

Test ctobservation base class: ... ok

Test ctlikelihood base class: ... ok

Test cscaldb on command line: .... ok

Test cscaldb from Python: . ok

Test csebins on command line: ...... ok

Test csebins from Python: .. ok

Test csinfo on command line: ....... ok

sh: line 1:   826 Segmentation fault      coverage run --branch --append ../cscripts/cslightcrv.py --help > /dev/null 2>&1

Test cslightcrv on command line: ................... ok

Test cslightcrv from Python: ......................................................... ok

sh: line 1:   924 Segmentation fault      coverage run --branch --append ../cscripts/csmodelinfo.py --help > /dev/null 2>&1

Test csmodelinfo on command line: ....... ok

Test csmodelinfo from Python: ..... ok

Test csmodelmerge on command line: ...... ok

Test csmodelmerge from Python: ..... ok

Test csmodelselect on command line: ...... ok

Test csmodelselect from Python: .... ok

Test csmodelsois on command line: ........ ok

Test csmodelsois from Python: ................ ok

sh: line 1:  1042 Segmentation fault      coverage run --branch --append ../cscripts/csobs2caldb.py --help > /dev/null 2>&1

Test csobs2caldb on command line: ......... ok

Test csobs2caldb from Python: ......... ok

Test csobsdef on command line: ........................ ok

Test csobsdef from Python: .......................................................... ok

Test csobsinfo on command line: ....... ok

Test csobsinfo from Python: ..... ok

Test csobsselect on command line: ...... ok

Test csobsselect from Python: ...... ok

Test csphagen on command line: ................................................................. ok

Test csphagen from Python:

sh: line 1:  1173 Segmentation fault      coverage run --branch --append ../cscripts/csphasecrv.py --help > /dev/null 2>&1

Test csphasecrv on command line: ............... ok

Test csphasecrv from Python: ......................................... ok

sh: line 1:  1272 Segmentation fault      coverage run --branch --append ../cscripts/cspull.py --help > /dev/null 2>&1

Test cspull on command line: ...... ok

Test cspull from Python: ....... ok

Test csresmap on command line: ........ ok

Test csresmap from Python: ............. ok

sh: line 1:  1374 Segmentation fault      coverage run --branch --append ../cscripts/csroot2caldb.py --help > /dev/null 2>&1

Test csroot2caldb on command line: .... ok

Test csroot2caldb from Python: . ok
sh: line 1:  1472 Segmentation fault      coverage run --branch --append ../cscripts/cssens.py --help > /dev/null 2>&1

Test cssens on command line: ....... ok

Test cssens from Python: ..... ok

Test csspec on command line: ....... ok

Test csspec from Python: ......... ok

sh: line 1:  1582 Segmentation fault      coverage run --branch --append ../cscripts/cssrcdetect.py --help > /dev/null 2>&1

Test cssrcdetect on command line: ...... ok

Test cssrcdetect from Python: .... ok

sh: line 1:  1687 Segmentation fault      coverage run --branch --append ../cscripts/cstsdist.py --help > /dev/null 2>&1

Test cstsdist on command line: ....... ok

Test cstsdist from Python: ... ok

Test cstsmapmerge on command line: .................. ok

Test cstsmapmerge from Python: .................................................................. ok

Test cstsmapsplit on command line: ...... ok

Test cstsmapsplit from Python: .... ok

Test csviscube on command line: ....... ok

Test csviscube from Python: .... ok

sh: line 1:  1814 Segmentation fault      coverage run --branch --append ../cscripts/csworkflow.py --help > /dev/null 2>&1

Test csworkflow on command line: ......... ok

Test csworkflow from Python: ........... ok

Test obsutils.sim() function in unbinned mode: ........... ok

Test obsutils.sim() function in binned mode: ............ ok

Test obsutils.sim() function in stacked mode: ............ ok

Test obsutils.sim() function in stacked mode with energy dispersion: ............ ok

Test obsutils.sim() function with logging switched on: .......... ok

Test obsutils.set_obs() function: . ok

Test obsutils.set_obs_list() function: . ok

Test obsutils.set_obs_patterns() function: .... ok

Test obsutils.set_observations() function: . ok

Test obsutils.get_stacked_response() function: . ok

Test obsutils.get_stacked_obs() function: . ok

Test csfindobs on command line: ........ ok

Test csfindobs from Python: .......... ok

Test csiactcopy on command line: .......... ok

Test csiactcopy from Python: ..................................... ok

Test csiactdata on command line: ..... ok

Test csiactdata from Python: ... ok

Test csiactobs on command line: .................. ok

Test csiactobs from Python: ............................................... ok

PASS: test_python_cscripts.sh

Related issues:

Related to ctools - Bug # 2652: cscripts that do not derive from ctools.cscri... Closed 07/25/2018

History

#1 - 07/25/2018 11:50 PM - Knödlseder Jürgen

- Related to Bug #2652: cscripts that do not derive from ctools.cscript do not show help text added

#2 - 07/27/2018 11:50 PM - Knödlseder Jürgen

- Status changed from New to Closed

- Assigned To set to Knödlseder Jürgen

- Target version set to 1.6.0

- % Done changed from 0 to 100

Fixed by #2652.
